Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Persistence_Record Class Reference

`#include <Storable.h>`

List of all members.

## Public Types
enum | Record_Type { NCONTEXT, OBJREF }
## Public Methods
Record_Type | type () const
void | type (Record_Type type)
ACE_CString | id () const
void | id (const ACE_CString &id)
ACE_CString | kind () const
void | kind (const ACE_CString &kind)
ACE_CString | ref () const
void | ref (const ACE_CString &ior)
## Private Attributes
Record_Type | type_
ACE_CString | id_
ACE_CString | kind_
ACE_CString | ref_

## Member Enumeration Documentation

enum TAO_NS_Persistence_Record::Record_Type

  | Enumeration values:
  NCONTEXT |
  OBJREF |

## Member Function Documentation

ACE_INLINE void TAO_NS_Persistence_Record::id | ( | const ACE_CString & | id | ) |

ACE_INLINE ACE_CString TAO_NS_Persistence_Record::id | ( |  | ) |

ACE_INLINE void TAO_NS_Persistence_Record::kind | ( | const ACE_CString & | kind | ) |

ACE_INLINE ACE_CString TAO_NS_Persistence_Record::kind | ( |  | ) |

ACE_INLINE void TAO_NS_Persistence_Record::ref | ( | const ACE_CString & | ior | ) |

ACE_INLINE ACE_CString TAO_NS_Persistence_Record::ref | ( |  | ) |

ACE_INLINE void TAO_NS_Persistence_Record::type | ( | Record_Type | type | ) |

ACE_INLINE TAO_NS_Persistence_Record::Record_Type TAO_NS_Persistence_Record::type | ( |  | ) |

## Member Data Documentation

ACE_CString TAO_NS_Persistence_Record::id_`[private]`

ACE_CString TAO_NS_Persistence_Record::kind_`[private]`

ACE_CString TAO_NS_Persistence_Record::ref_`[private]`

Record_Type TAO_NS_Persistence_Record::type_`[private]`

The documentation for this class was generated from the following files:

- Storable.h
- Storable.inl